Index: modules/m_userhost.c
===================================================================
--- modules/m_userhost.c	(.../1.0.1)	(revision 183)
+++ modules/m_userhost.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_userhost.c 268 2005-11-14 11:02:39Z adx $
+ *  $Id$
+ *  $Hybrid: m_userhost.c 268 2005-11-14 11:02:39Z adx $
  */
 
 #include "stdinc.h"
@@ -57,7 +58,7 @@
   mod_del_cmd(&userhost_msgtab);
 }
 
-const char *_version = "$Revision: 268 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_map.c
===================================================================
--- modules/m_map.c	(.../1.0.1)	(revision 183)
+++ modules/m_map.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_map.c 268 2005-11-14 11:02:39Z adx $
+ *  $Id$
+ *  $Hybrid: m_map.c 268 2005-11-14 11:02:39Z adx $
  */
 
 #include "stdinc.h"
@@ -53,7 +54,7 @@
   mod_del_cmd(&map_msgtab);
 }
 
-const char *_version = "$Revision: 268 $";
+const char *_version = "$Revision$";
 #endif
 
 static char buf[IRCD_BUFSIZE];

Index: modules/m_nburst.c
===================================================================
--- modules/m_nburst.c	(.../1.0.1)	(revision 183)
+++ modules/m_nburst.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_nburst.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_nburst.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -62,7 +63,7 @@
   mod_del_cmd(&nburst_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 /*
 ** m_nburst

Index: modules/m_topic.c
===================================================================
--- modules/m_topic.c	(.../1.0.1)	(revision 183)
+++ modules/m_topic.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_topic.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_topic.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -63,7 +64,7 @@
   mod_del_cmd(&topic_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /* m_topic()

Index: modules/m_xline.c
===================================================================
--- modules/m_xline.c	(.../1.0.1)	(revision 183)
+++ modules/m_xline.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_xline.c 382 2006-01-31 12:13:42Z michael $
+ *  $Id$
+ *  $Hybrid: m_xline.c 382 2006-01-31 12:13:42Z michael $
  */
 
 #include "stdinc.h"
@@ -86,7 +87,7 @@
   mod_del_cmd(&unxline_msgtab);
 }
 
-const char *_version = "$Revision: 382 $";
+const char *_version = "$Revision$";
 #endif
 
 

Index: modules/m_resv.c
===================================================================
--- modules/m_resv.c	(.../1.0.1)	(revision 183)
+++ modules/m_resv.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_resv.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_resv.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -73,7 +74,7 @@
   mod_del_cmd(&unresv_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /* mo_resv()

Index: modules/m_links.c
===================================================================
--- modules/m_links.c	(.../1.0.1)	(revision 183)
+++ modules/m_links.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_links.c 575 2006-05-01 11:41:09Z michael $
+ *  $Id$
+ *  $Hybrid: m_links.c 575 2006-05-01 11:41:09Z michael $
  */
 
 #include "stdinc.h"
@@ -48,7 +49,7 @@
 };
 
 #ifndef STATIC_MODULES
-const char *_version = "$Revision: 575 $";
+const char *_version = "$Revision$";
 static struct Callback *links_cb;
 
 static void *

Index: modules/m_wallops.c
===================================================================
--- modules/m_wallops.c	(.../1.0.1)	(revision 183)
+++ modules/m_wallops.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_wallops.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_wallops.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -57,7 +58,7 @@
   mod_del_cmd(&wallops_msgtab);
 }
  
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_lljoin.c
===================================================================
--- modules/m_lljoin.c	(.../1.0.1)	(revision 183)
+++ modules/m_lljoin.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_lljoin.c 632 2006-06-01 10:53:00Z michael $
+ *  $Id$
+ *  $Hybrid: m_lljoin.c 632 2006-06-01 10:53:00Z michael $
  */
 
 #include "stdinc.h"
@@ -62,7 +63,7 @@
   mod_del_cmd(&lljoin_msgtab);
 }
 
-const char *_version = "$Revision: 632 $";
+const char *_version = "$Revision$";
 #endif
 /*
  * m_lljoin

Index: modules/m_help.c
===================================================================
--- modules/m_help.c	(.../1.0.1)	(revision 183)
+++ modules/m_help.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_help.c 575 2006-05-01 11:41:09Z michael $
+ *  $Id$
+ *  $Hybrid: m_help.c 575 2006-05-01 11:41:09Z michael $
  */
 
 #include "stdinc.h"
@@ -71,7 +72,7 @@
   mod_del_cmd(&uhelp_msgtab);
 }
 
-const char *_version = "$Revision: 575 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_admin.c
===================================================================
--- modules/m_admin.c	(.../1.0.1)	(revision 183)
+++ modules/m_admin.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_admin.c 589 2006-05-08 18:40:00Z michael $
+ *  $Id$
+ *  $Hybrid: m_admin.c 589 2006-05-08 18:40:00Z michael $
  */
 
 #include "stdinc.h"
@@ -48,7 +49,7 @@
 
 #ifndef STATIC_MODULES
 static struct Callback *admin_cb;
-const char *_version = "$Revision: 589 $";
+const char *_version = "$Revision$";
 
 static void *
 va_admin(va_list args)

Index: modules/m_set.c
===================================================================
--- modules/m_set.c	(.../1.0.1)	(revision 183)
+++ modules/m_set.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_set.c 646 2006-06-07 12:42:00Z michael $
+ *  $Id$
+ *  $Hybrid: m_set.c 646 2006-06-07 12:42:00Z michael $
  */
 
 /* rewritten by jdc */
@@ -65,7 +66,7 @@
   mod_del_cmd(&set_msgtab);
 }
 
-const char *_version = "$Revision: 646 $";
+const char *_version = "$Revision$";
 #endif
 
 /* Structure used for the SET table itself */

Index: modules/m_ping.c
===================================================================
--- modules/m_ping.c	(.../1.0.1)	(revision 183)
+++ modules/m_ping.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_ping.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_ping.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -57,7 +58,7 @@
   mod_del_cmd(&ping_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_stats.c
===================================================================
--- modules/m_stats.c	(.../1.0.1)	(revision 183)
+++ modules/m_stats.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_stats.c 584 2006-05-07 15:26:45Z michael $
+ *  $Id$
+ *  $Hybrid: m_stats.c 584 2006-05-07 15:26:45Z michael $
  */
 
 #include "stdinc.h"
@@ -63,7 +64,7 @@
 };
 
 #ifndef STATIC_MODULES
-const char *_version = "$Revision: 584 $";
+const char *_version = "$Revision$";
 static struct Callback *stats_cb;
 
 static void *

Index: modules/m_trace.c
===================================================================
--- modules/m_trace.c	(.../1.0.1)	(revision 183)
+++ modules/m_trace.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_trace.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_trace.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -53,7 +54,7 @@
 };
 
 #ifndef STATIC_MODULES
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 static struct Callback *trace_cb;
 
 static void *

Index: modules/m_opme.c
===================================================================
--- modules/m_opme.c	(.../1.0.1)	(revision 183)
+++ modules/m_opme.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_opme.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_opme.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -61,7 +62,7 @@
   mod_del_cmd(&opme_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_pong.c
===================================================================
--- modules/m_pong.c	(.../1.0.1)	(revision 183)
+++ modules/m_pong.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_pong.c 503 2006-03-03 19:53:47Z michael $
+ *  $Id$
+ *  $Hybrid: m_pong.c 503 2006-03-03 19:53:47Z michael $
  */
 
 #include "stdinc.h"
@@ -57,7 +58,7 @@
   mod_del_cmd(&pong_msgtab);
 }
 
-const char *_version = "$Revision: 503 $";
+const char *_version = "$Revision$";
 #endif
 
 static void

Index: modules/m_close.c
===================================================================
--- modules/m_close.c	(.../1.0.1)	(revision 183)
+++ modules/m_close.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_close.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_close.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -54,7 +55,7 @@
   mod_del_cmd(&close_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_capab.c
===================================================================
--- modules/m_capab.c	(.../1.0.1)	(revision 183)
+++ modules/m_capab.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_capab.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_capab.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -52,7 +53,7 @@
   mod_del_cmd(&capab_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_whowas.c
===================================================================
--- modules/m_whowas.c	(.../1.0.1)	(revision 183)
+++ modules/m_whowas.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_whowas.c 269 2005-11-14 19:39:09Z adx $
+ *  $Id$
+ *  $Hybrid: m_whowas.c 269 2005-11-14 19:39:09Z adx $
  */
 
 #include "stdinc.h"
@@ -63,7 +64,7 @@
   mod_del_cmd(&whowas_msgtab);
 }
 
-const char *_version = "$Revision: 269 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: modules/m_lusers.c
===================================================================
--- modules/m_lusers.c	(.../1.0.1)	(revision 183)
+++ modules/m_lusers.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_lusers.c 269 2005-11-14 19:39:09Z adx $
+ *  $Id$
+ *  $Hybrid: m_lusers.c 269 2005-11-14 19:39:09Z adx $
  */
 
 #include "stdinc.h"
@@ -58,7 +59,7 @@
   mod_del_cmd(&lusers_msgtab);
 }
 
-const char *_version = "$Revision: 269 $";
+const char *_version = "$Revision$";
 #endif
 /* m_lusers - LUSERS message handler
  * parv[0] = sender

Index: modules/m_user.c
===================================================================
--- modules/m_user.c	(.../1.0.1)	(revision 183)
+++ modules/m_user.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_user.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_user.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"
@@ -56,7 +57,7 @@
   mod_del_cmd(&user_msgtab);
 }
 
-const char *_version = "$Revision: 33 $";
+const char *_version = "$Revision$";
 #endif
 
 /*

Index: etc/example.conf
===================================================================
--- etc/example.conf	(.../1.0.1)	(revision 183)
+++ etc/example.conf	(.../1.0.2)	(revision 183)
@@ -5,7 +5,8 @@
  * Other example configurations can be found in the source dir under
  * etc/.
  *
- * $Id: example.conf 853 2007-02-22 06:01:30Z db $
+ * $Id$
+ * $Hybrid: example.conf 853 2007-02-22 06:01:30Z db $
  */
 
 /* IMPORTANT NOTES:
@@ -75,6 +76,12 @@
     */
     services_name = "services.my.net";
 
+    /*
+     * help_channel: sets the channel a user can JOIN and PRIVMSG to if
+     * they are CAPTURED (silenced)
+    */
+    help_channel = "#operhelp";
+
 	/*
 	 * hub: allow this server to act as a hub and have multiple servers
 	 * connected to it.  This may not be changed if there are active
@@ -441,6 +448,7 @@
 	 * hidden_admin: same as 'admin', but noone can recognize you as
 	 *               being an admin
 	 * hidden_oper:  not shown in /stats p (except for other operators)
+     * snoop:        can see invisible users and secret channels 
 	 */
 	/* You can either use
 	 * die = yes;
@@ -454,7 +462,7 @@
 	 *
 	 */
 	flags = global_kill, remote, kline, unkline, xline,
-		die, rehash, nick_changes, admin, operwall;
+		die, rehash, nick_changes, admin, operwall, snoop;
 };
 
 /*
@@ -1175,6 +1183,7 @@
 	 * +k - skill        - See server generated KILL messages
 	 * +l - locops       - See LOCOPS messages
 	 * +n - nchange      - See client nick changes
+     * +p - snoop        - See invisible users and secret channels (snoop operflag)
 	 * +r - rej          - See rejected client notices
 	 * +s - servnotice   - See general server notices
 	 * +u - unauth       - See unauthorized client notices
@@ -1187,7 +1196,7 @@
 	/* oper_only_umodes: usermodes only opers may set */
 	oper_only_umodes = bots, cconn, cconn_full, debug, full, skill,
                            nchange, rej, spy, external, operwall,
-                           locops, unauth;
+                           locops, unauth, snoop;
 
 	/* oper_umodes: default usermodes opers get when they /oper */
 	oper_umodes = bots, locops, servnotice, operwall, wallop;

Index: etc/example.conf.quick
===================================================================
--- etc/example.conf.quick	(.../1.0.1)	(revision 183)
+++ etc/example.conf.quick	(.../1.0.2)	(revision 183)
@@ -3,7 +3,8 @@
  *
  * Written by ejb, wcampbel, db, leeh and others
  *
- * $Id: example.conf.quick 264 2005-11-13 11:11:29Z adx $
+ * $Id$
+ * $Hybrid: example.conf.quick 264 2005-11-13 11:11:29Z adx $
  */
 
 /* IMPORTANT NOTES:
@@ -42,6 +43,7 @@
 	description = "hybrid-7 test server";
 	network_name = "MyNet";
 	network_desc = "This is My Network";
+    help_channel = "#operhelp";
 	hub = no;
 	#vhost = "192.169.0.1";
 	#vhost6 = "3ffe:80e8:546::2";
@@ -151,7 +153,7 @@
 	#rsa_public_key_file = "/usr/local/ircd/etc/oper.pub";
 	class = "opers";
 	flags = global_kill, remote, kline, unkline, gline,
-		xline, die, rehash, nick_changes, admin;
+		xline, die, rehash, nick_changes, admin, snoop;
 };
 
 /* connect {}: controls servers we connect to (OLD C:, N:, H:, L:) */
@@ -345,7 +347,7 @@
 	client_flood = 2560;
 	message_locale = "standard";
 	oper_only_umodes = bots, cconn, debug, full, skill, nchange, 
-                     rej, spy, external, operwall, locops, unauth;
+                     rej, spy, external, operwall, locops, unauth, snoop;
 
 	oper_umodes = bots, locops, servnotice, operwall, wallop;
 

Index: etc/simple.conf
===================================================================
--- etc/simple.conf	(.../1.0.1)	(revision 183)
+++ etc/simple.conf	(.../1.0.2)	(revision 183)
@@ -1,6 +1,7 @@
 # Hybrid 7 minimal example configuration file
 #
-# $Id: simple.conf 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: simple.conf 33 2005-10-02 20:50:00Z knight $
 #
 # This is a basic ircd.conf that will get your server running with
 # little modification.  See the example.conf for more specific 
@@ -15,6 +16,7 @@
 	sid = "_CHANGE_ME_";
 	description = "Test IRC Server";
 	hub = no;
+    help_channel = "#operhelp";
 };
 
 # The administrator block sets up the server administrator information,

Index: install-sh
===================================================================
--- install-sh	(.../1.0.1)	(revision 183)
+++ install-sh	(.../1.0.2)	(revision 183)
@@ -1,5 +1,6 @@
 #!/bin/sh
-# $Id: install-sh 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: install-sh 33 2005-10-02 20:50:00Z knight $
 #
 # install - install a program, script, or datafile
 #

